> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Set default template

> POST /public/v1/{type}/default



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string(uuid))


### Path parameters

- **type** (string)



### Body: application/json (object)

- **templateId** (string)



## Responses
### 200
OK

#### Body: */* (object)
- **id** (string)

- **name** (string)

- **configuration** (string)

- **createdDate** (string(date-time))

- **companyDefault** (boolean)

- **owner** (boolean)

- **public** (boolean)



[Powered by Bump.sh](https://bump.sh)
